{
  "openapi": "3.0.0",
  "info": {
    "title": "Cloud Logs API",
    "version": "0.1.0",
    "x-ibm-name": "logs",
    "x-alternate-name": "logs",
    "x-codegen-config": {
      "cli": {
        "apiPackage": "github.com/observability-c/dragonlog-cli",
        "cliPluginName": "cloud-logs",
        "confirmDeleteOperations": true,
        "createServiceUrlFlag": true,
        "privateEndpointSupported": true,
        "serviceCommandAliases": [
          "logs"
        ],
        "singleServicePlugin": true
      },
      "go": {
        "apiPackage": "github.com/observability-c/dragonlog-logs-go-sdk"
      },
      "python": {
        "apiPackage": "ibm_logs"
      }
    },
    "x-cli-description": "Manage the IBM Cloud Logs Service.",
    "x-github": "https://github.ibm.com/cloud-api-docs/cloud-logs",
    "x-github-issues": "https://github.ibm.com/cloud-api-docs/cloud-logs/issues/new",
    "description": "## Introduction\n\nIBM® Cloud Logs is a scalable logging service that persists logs and provides users with capabilities for querying, tailing, and visualizing logs.\n\nGo SDK is available to make it easier to programmatically access the API from your code. The client libraries that are provided by the SDK implement best practices for using the API and reduce the amount of code that you need to write. The tab for Go includes code examples that demonstrate how to use the client libraries. For more information about using the SDK, see the [IBM Cloud SDK Common project](https://github.com/IBM/ibm-cloud-sdk-common) on GitHub.\n\nInstalling the Go SDK\n\nGo modules (recommended): Add the following import in your code, and then run `go build` or `go mod tidy`\n\n```go\nimport (\n\t\"github.com/IBM/logs-go-sdk/logsv0\"\n)\n```\n\nGo get\n\n```bash\ngo get -u github.com/IBM/logs-go-sdk\n```\n\nView on GitHub\n\n[https://github.com/IBM/logs-go-sdk](https://github.com/IBM/logs-go-sdk)\n\n## Endpoint URLs\n\nThe API endpoint URL is unique per region for an instance of IBM Cloud Logs. For example, when IBM Cloud Logs is hosted in Madrid (eu-es), the base URL is https://{instance_ID}.api.eu-es.logs.cloud.ibm.com\n\nThe version information is appended to the base URL to access resources. For example /v1, resulting in the URL https://{instance_ID}.api.eu-es.logs.cloud.ibm.com/v1 for Madrid (eu-es).\n\nBase URL\n```bash\nhttps://{instance_ID}.api.{region}.logs.cloud.ibm.com\n```\n\nExample API request\n\n```bash\ncurl -X {request_method} \\\n    -H \"Authorization: Bearer {bearer_token}\" \\\n    -H \"Accept: application/json\" \\\n    [--data \"{request_body}\"] \\\n    \"https://{instance_ID}.api.{region}.logs.cloud.ibm.com/{method_endpoint}\"\n```\n\nReplace `{bearer_token}`, `{request_method}`, `{method_endpoint}` and [optional] `{request_body}` in this example with the values for your particular API call.\n\n## Authentication\n\nAuthorization to the IBM Cloud Logs service REST API is enforced by an IBM Cloud® Identity and Access Management (IAM) access token. The token is used to determine the actions that a user or service ID has access to when they use the API.\n\nRetrieving an access token is supported using an IAM Trusted Profile or IAM API key.\n\n* To request an access token with a Trusted Profile from within your IBM Cloud Kubernetes Service or Red Hat OpenShift cluster, run the following command:\n\n    ```bash\n    curl -X POST \\\n        -H \"Content-Type: application/x-www-form-urlencoded\" \\\n        --data \"grant_type=urn:ibm:params:oauth:grant-type:cr-token\" \\\n        --data \"profile_id={trusted_profile_id}\" \\\n        --data-urlencode \"cr_token@{path_to_token}\" \\\n        https://iam.cloud.ibm.com/identity/token\n    ```\n    \n\n    Replace `{trusted_profile_id}` and `{path_to_token}` with the correct values for your environment.\n\n* To request an access token with an IAM api_key, run the following command:\n\n    ```bash\n    curl -X POST \\\n        -H 'Content-Type: application/x-www-form-urlencoded' \\\n        --data \"grant_type=urn:ibm:params:oauth:grant-type:apikey\" \\\n        --data \"apikey=${IAM_API_KEY}\" \\\n        \"https://iam.cloud.ibm.com/identity/token\"\n    ```\n    \n\n    Replace `{IAM_API_KEY}` with your IAM API key.\n\nThe access token is provided in the returned JSON data in the field `.access_token`.\n\n## Error handling\n\nThe IBM Cloud Logs service uses standard HTTP response codes to indicate whether a method completed successfully. A `200` response always indicates success. A `400` type response indicates that a parameter validation failed and can occur if required parameters are missing or if any parameter values are invalid. A `401` or `403` response indicates that the incoming request did not contain valid authentication information. A `500` type response indicates an internal server error that is seen in an unexpected error situation.\n\nThe IBM Cloud Logs REST APIs return standard HTTP status codes to indicate the success or failure of a request. The format of the response is represented in JSON as follows:\n\n```json\n{\n    \"errors\": [\n    {\n        \"code\": \"not_authorized\",\n        \"message\": \"The specified token does not have authority to create a tenant.\"\n    }\n    ],\n    \"status_code\": 403\n}\n```\n\nIf an operation cannot be fulfilled, an appropriate 400 or 500 series HTTP response is returned from the server. The operations that are defined in the `Reference` section describe example errors that might be returned from a failed request. All responses from the Identity Services REST API are in JSON format.\n\nThe following table shows the potential error codes the API might return.\n\n| HTTP Error Code | Description | Recovery |\n|-----------------|-------------|----------|\n| `200` | Success | The request was successful. |\n| `201` | Created | The resource was successfully created. |\n| `204` | No Content | The request was successful. No response body is provided. |\n| `400` | Bad Request | The input parameters in the request body are either incomplete or in the wrong format. Be sure to include all required parameters in your request. |\n| `401` | Unauthorized | You are not authorized to make this request. The token is either missing or expired. Get a new valid token and try again.     |\n| `403` | Forbidden | The supplied authentication is not authorized to perform the operation. If this error persists, contact the account owner to check your permissions. |\n| `404` | Not Found | The requested resource can't be found. |\n| `408` | Request Timeout| The connection to the server timed out. Wait a few minutes, then try again. |\n| `409` | conflict | The requested resource conflicts with an already existing resource. |\n| `415` | Bad Request | Missing or wrong header |\n| `429` | Rate limit exceeded | Reduce the rate of requests or Wait a few minutes, then try again. |\n| `500` | Internal error | Error that is seen in an unexpected error situation. |",
    "x-last-updated": "2024-06-24"
  },
  "paths": {
    "/v1/alert_definitions/{id}": {
      "get": {
        "tags": [
          "Alert definitions"
        ],
        "summary": "Get an alert definition by ID",
        "description": "Get details of an existing alert by using the alert ID.",
        "operationId": "get_alert_def",
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/AlertDefinition"
                }
              }
            }
          },
          "400": {
            "description": "Bad Request",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ApiError"
                },
                "example": {
                  "errors": [
                    {
                      "code": "bad_request_or_unspecified",
                      "message": "Bad request"
                    }
                  ],
                  "status_code": 400,
                  "trace": "4199a60c-d9f9-4eb0-93e7-6faaa002062e"
                }
              }
            }
          },
          "401": {
            "description": "Unauthorized",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ApiError"
                },
                "example": {
                  "errors": [
                    {
                      "code": "unauthenticated",
                      "message": "Unauthenticated"
                    }
                  ],
                  "status_code": 401,
                  "trace": "4199a60c-d9f9-4eb0-93e7-6faaa002062e"
                }
              }
            }
          },
          "403": {
            "description": "Forbidden",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ApiError"
                },
                "example": {
                  "errors": [
                    {
                      "code": "unauthorized",
                      "message": "Forbidden"
                    }
                  ],
                  "status_code": 403,
                  "trace": "4199a60c-d9f9-4eb0-93e7-6faaa002062e"
                }
              }
            }
          },
          "404": {
            "description": "Not Found",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ApiError"
                },
                "example": {
                  "errors": [
                    {
                      "code": "not_found",
                      "message": "Not found"
                    }
                  ],
                  "status_code": 404,
                  "trace": "4199a60c-d9f9-4eb0-93e7-6faaa002062e"
                }
              }
            }
          },
          "408": {
            "description": "Unknown",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ApiError"
                },
                "example": {
                  "errors": [
                    {
                      "code": "deadline_exceeded",
                      "message": "Request timeout"
                    }
                  ],
                  "status_code": 408,
                  "trace": "4199a60c-d9f9-4eb0-93e7-6faaa002062e"
                }
              }
            }
          },
          "409": {
            "description": "Conflict",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ApiError"
                },
                "example": {
                  "errors": [
                    {
                      "code": "conflict",
                      "message": "Conflict, resource already exists"
                    }
                  ],
                  "status_code": 409,
                  "trace": "4199a60c-d9f9-4eb0-93e7-6faaa002062e"
                }
              }
            }
          },
          "429": {
            "description": "Too many requests",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ApiError"
                },
                "example": {
                  "errors": [
                    {
                      "code": "resource_exhausted",
                      "message": "Rate limit exceeded"
                    }
                  ],
                  "status_code": 429,
                  "trace": "4199a60c-d9f9-4eb0-93e7-6faaa002062e"
                }
              }
            }
          },
          "500": {
            "description": "Internal server error",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ApiError"
                },
                "example": {
                  "errors": [
                    {
                      "code": "method_internal_error",
                      "message": "Internal server error"
                    }
                  ],
                  "status_code": 500,
                  "trace": "4199a60c-d9f9-4eb0-93e7-6faaa002062e"
                }
              }
            }
          }
        },
        "x-cli-command": "alert-definition",
        "x-cli-table-filter-jmespath": "{Name:name,ID:id,Enabled:enabled,Priority:priority,Type:type,Created_Time:created_time}",
        "x-ibm-permissions": {
          "actions": [
            {
              "name": "logs.alert-config.read"
            }
          ]
        },
        "x-ibm-events": {
          "events": [
            {
              "name": "logs.alert-config.get"
            }
          ]
        },
        "x-sdk-operations": {
          "request-examples": {
            "curl": [
              {
                "name": "Example request",
                "example": [
                  {
                    "type": "code",
                    "source": [
                      "curl -X GET --location --header \"Authorization: Bearer ${iam_token}\" \\\n",
                      "  --header \"Accept: application/json\" \\\n",
                      "  \"${base_url}/v1/alert_definitions/${id}\""
                    ]
                  }
                ]
              }
            ],
            "go": [
              {
                "name": "Example request",
                "example": [
                  {
                    "type": "code",
                    "source": [
                      "getAlertDefOptions := logsService.NewGetAlertDefOptions(\n",
                      "  CreateMockUUID(\"3dc02998-0b50-4ea8-b68a-4779d716fa1f\"),\n",
                      ")\n",
                      "\n",
                      "alertDefinition, response, err := logsService.GetAlertDef(getAlertDefOptions)\n",
                      "if err != nil {\n",
                      "  panic(err)\n",
                      "}\n",
                      "b, _ := json.MarshalIndent(alertDefinition, \"\", \"  \")\n",
                      "fmt.Println(string(b))"
                    ]
                  }
                ]
              }
            ]
          }
        }
      },
      "put": {
        "tags": [
          "Alert definitions"
        ],
        "summary": "Update an alert definition by ID",
        "description": "Update an alert definition",
        "operationId": "replace_alert_def",
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/AlertDefinitionPrototype"
              },
              "example": {
                "active_on": {
                  "day_of_week": [
                    "sunday",
                    "monday_or_unspecified",
                    "tuesday",
                    "wednesday",
                    "thursday",
                    "friday",
                    "saturday"
                  ],
                  "end_time": {
                    "hours": 21,
                    "minutes": 59
                  },
                  "start_time": {
                    "hours": 22
                  }
                },
                "deleted": false,
                "description": "Example Alert definition",
                "enabled": true,
                "entity_labels": {},
                "group_by_keys": [],
                "incidents_settings": {
                  "minutes": 10,
                  "notify_on": "triggered_only_unspecified"
                },
                "logs_threshold": {
                  "condition_type": "more_than_or_unspecified",
                  "logs_filter": {
                    "simple_filter": {
                      "label_filters": {
                        "application_name": [],
                        "severities": [],
                        "subsystem_name": []
                      }
                    }
                  },
                  "notification_payload_filter": [],
                  "rules": [
                    {
                      "condition": {
                        "threshold": 1,
                        "time_window": {
                          "logs_time_window_specific_value": "minutes_10"
                        }
                      },
                      "override": {
                        "priority": "p5_or_unspecified"
                      }
                    }
                  ]
                },
                "name": "Alert 1738141279354",
                "notification_group": {
                  "group_by_keys": [],
                  "webhooks": []
                },
                "phantom_mode": false,
                "priority": "p5_or_unspecified",
                "type": "logs_threshold"
              }
            }
          },
          "required": true
        },
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/AlertDefinition"
                }
              }
            }
          },
          "400": {
            "description": "Bad Request",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ApiError"
                },
                "example": {
                  "errors": [
                    {
                      "code": "bad_request_or_unspecified",
                      "message": "Bad request"
                    }
                  ],
                  "status_code": 400,
                  "trace": "4199a60c-d9f9-4eb0-93e7-6faaa002062e"
                }
              }
            }
          },
          "401": {
            "description": "Unauthorized",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ApiError"
                },
                "example": {
                  "errors": [
                    {
                      "code": "unauthenticated",
                      "message": "Unauthenticated"
                    }
                  ],
                  "status_code": 401,
                  "trace": "4199a60c-d9f9-4eb0-93e7-6faaa002062e"
                }
              }
            }
          },
          "403": {
            "description": "Forbidden",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ApiError"
                },
                "example": {
                  "errors": [
                    {
                      "code": "unauthorized",
                      "message": "Forbidden"
                    }
                  ],
                  "status_code": 403,
                  "trace": "4199a60c-d9f9-4eb0-93e7-6faaa002062e"
                }
              }
            }
          },
          "404": {
            "description": "Not Found",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ApiError"
                },
                "example": {
                  "errors": [
                    {
                      "code": "not_found",
                      "message": "Not found"
                    }
                  ],
                  "status_code": 404,
                  "trace": "4199a60c-d9f9-4eb0-93e7-6faaa002062e"
                }
              }
            }
          },
          "408": {
            "description": "Unknown",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ApiError"
                },
                "example": {
                  "errors": [
                    {
                      "code": "deadline_exceeded",
                      "message": "Request timeout"
                    }
                  ],
                  "status_code": 408,
                  "trace": "4199a60c-d9f9-4eb0-93e7-6faaa002062e"
                }
              }
            }
          },
          "409": {
            "description": "Conflict",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ApiError"
                },
                "example": {
                  "errors": [
                    {
                      "code": "conflict",
                      "message": "Conflict, resource already exists"
                    }
                  ],
                  "status_code": 409,
                  "trace": "4199a60c-d9f9-4eb0-93e7-6faaa002062e"
                }
              }
            }
          },
          "429": {
            "description": "Too many requests",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ApiError"
                },
                "example": {
                  "errors": [
                    {
                      "code": "resource_exhausted",
                      "message": "Rate limit exceeded"
                    }
                  ],
                  "status_code": 429,
                  "trace": "4199a60c-d9f9-4eb0-93e7-6faaa002062e"
                }
              }
            }
          },
          "500": {
            "description": "Internal server error",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ApiError"
                },
                "example": {
                  "errors": [
                    {
                      "code": "method_internal_error",
                      "message": "Internal server error"
                    }
                  ],
                  "status_code": 500,
                  "trace": "4199a60c-d9f9-4eb0-93e7-6faaa002062e"
                }
              }
            }
          }
        },
        "x-cli-command": "alert-definition-update",
        "x-cli-table-filter-jmespath": "{Name:name,ID:id,Enabled:enabled,Priority:priority,Type:type,UpdatedTime:updated_time}",
        "x-ibm-permissions": {
          "actions": [
            {
              "name": "logs.alert-config.manage"
            }
          ]
        },
        "x-ibm-events": {
          "events": [
            {
              "name": "logs.alert-config.update"
            }
          ]
        },
        "x-sdk-operations": {
          "request-examples": {
            "curl": [
              {
                "name": "Example request",
                "example": [
                  {
                    "type": "code",
                    "source": [
                      "curl -X PUT --location --header \"Authorization: Bearer ${iam_token}\" \\\n",
                      "  --header \"Accept: application/json\" \\\n",
                      "  --header \"Content-Type: application/json\" \\\n",
                      "  --data   '{\n",
                      "    \"active_on\": {\n",
                      "      \"day_of_week\": [\n",
                      "        \"sunday\",\n",
                      "        \"monday_or_unspecified\",\n",
                      "        \"tuesday\",\n",
                      "        \"wednesday\",\n",
                      "        \"thursday\",\n",
                      "        \"friday\",\n",
                      "        \"saturday\"\n",
                      "      ],\n",
                      "      \"end_time\": {\n",
                      "        \"hours\": 21,\n",
                      "        \"minutes\": 59\n",
                      "      },\n",
                      "      \"start_time\": {\n",
                      "        \"hours\": 22\n",
                      "      }\n",
                      "    },\n",
                      "    \"deleted\": false,\n",
                      "    \"description\": \"Example Alert definition\",\n",
                      "    \"enabled\": true,\n",
                      "    \"entity_labels\": {},\n",
                      "    \"group_by_keys\": [],\n",
                      "    \"incidents_settings\": {\n",
                      "      \"minutes\": 10,\n",
                      "      \"notify_on\": \"triggered_only_unspecified\"\n",
                      "    },\n",
                      "    \"logs_threshold\": {\n",
                      "      \"condition_type\": \"more_than_or_unspecified\",\n",
                      "      \"logs_filter\": {\n",
                      "        \"simple_filter\": {\n",
                      "          \"label_filters\": {\n",
                      "            \"application_name\": [],\n",
                      "            \"severities\": [],\n",
                      "            \"subsystem_name\": []\n",
                      "          }\n",
                      "        }\n",
                      "      },\n",
                      "      \"notification_payload_filter\": [],\n",
                      "      \"rules\": [\n",
                      "        {\n",
                      "          \"condition\": {\n",
                      "            \"threshold\": 1,\n",
                      "            \"time_window\": {\n",
                      "              \"logs_time_window_specific_value\": \"minutes_10\"\n",
                      "            }\n",
                      "          },\n",
                      "          \"override\": {\n",
                      "            \"priority\": \"p5_or_unspecified\"\n",
                      "          }\n",
                      "        }\n",
                      "      ]\n",
                      "    },\n",
                      "    \"name\": \"Alert 1738141279354\",\n",
                      "    \"notification_group\": {\n",
                      "      \"group_by_keys\": [],\n",
                      "      \"webhooks\": []\n",
                      "    },\n",
                      "    \"phantom_mode\": false,\n",
                      "    \"priority\": \"p5_or_unspecified\",\n",
                      "    \"type\": \"logs_threshold\"\n",
                      "  }' \\\n",
                      "  \"${base_url}/v1/alert_definitions/${id}\""
                    ]
                  }
                ]
              }
            ],
            "go": [
              {
                "name": "Example request",
                "example": [
                  {
                    "type": "code",
                    "source": [
                      "apisAlertDefinitionTimeOfDayModel := &logsv0.ApisAlertDefinitionTimeOfDay{\n",
                      "  Hours: core.Int64Ptr(int64(22)),\n",
                      "}\n",
                      "\n",
                      "apisAlertDefinitionActivityScheduleModel := &logsv0.ApisAlertDefinitionActivitySchedule{\n",
                      "  DayOfWeek: []string{\"sunday\", \"monday_or_unspecified\", \"tuesday\", \"wednesday\", \"thursday\", \"friday\", \"saturday\"},\n",
                      "  StartTime: apisAlertDefinitionTimeOfDayModel,\n",
                      "  EndTime: apisAlertDefinitionTimeOfDayModel,\n",
                      "}\n",
                      "\n",
                      "apisAlertDefinitionAlertDefIncidentSettingsModel := &logsv0.ApisAlertDefinitionAlertDefIncidentSettings{\n",
                      "  NotifyOn: core.StringPtr(\"triggered_only_unspecified\"),\n",
                      "  Minutes: core.Int64Ptr(int64(10)),\n",
                      "}\n",
                      "\n",
                      "apisAlertDefinitionIntegrationTypeModel := &logsv0.ApisAlertDefinitionIntegrationTypeIntegrationTypeIntegrationID{\n",
                      "}\n",
                      "\n",
                      "apisAlertDefinitionAlertDefWebhooksSettingsModel := &logsv0.ApisAlertDefinitionAlertDefWebhooksSettings{\n",
                      "  Integration: apisAlertDefinitionIntegrationTypeModel,\n",
                      "}\n",
                      "\n",
                      "apisAlertDefinitionAlertDefNotificationGroupModel := &logsv0.ApisAlertDefinitionAlertDefNotificationGroup{\n",
                      "  GroupByKeys: []string{},\n",
                      "  Webhooks: []logsv0.ApisAlertDefinitionAlertDefWebhooksSettings{*apisAlertDefinitionAlertDefWebhooksSettingsModel},\n",
                      "}\n",
                      "\n",
                      "apisAlertDefinitionLabelFilterTypeModel := &logsv0.ApisAlertDefinitionLabelFilterType{\n",
                      "  Operation: core.StringPtr(\"starts_with\"),\n",
                      "}\n",
                      "\n",
                      "apisAlertDefinitionLabelFiltersModel := &logsv0.ApisAlertDefinitionLabelFilters{\n",
                      "  ApplicationName: []logsv0.ApisAlertDefinitionLabelFilterType{*apisAlertDefinitionLabelFilterTypeModel},\n",
                      "  SubsystemName: []logsv0.ApisAlertDefinitionLabelFilterType{*apisAlertDefinitionLabelFilterTypeModel},\n",
                      "  Severities: []string{},\n",
                      "}\n",
                      "\n",
                      "apisAlertDefinitionLogsSimpleFilterModel := &logsv0.ApisAlertDefinitionLogsSimpleFilter{\n",
                      "  LabelFilters: apisAlertDefinitionLabelFiltersModel,\n",
                      "}\n",
                      "\n",
                      "apisAlertDefinitionLogsFilterModel := &logsv0.ApisAlertDefinitionLogsFilter{\n",
                      "  SimpleFilter: apisAlertDefinitionLogsSimpleFilterModel,\n",
                      "}\n",
                      "\n",
                      "apisAlertDefinitionLogsTimeWindowModel := &logsv0.ApisAlertDefinitionLogsTimeWindow{\n",
                      "  LogsTimeWindowSpecificValue: core.StringPtr(\"minutes_10\"),\n",
                      "}\n",
                      "\n",
                      "apisAlertDefinitionLogsThresholdConditionModel := &logsv0.ApisAlertDefinitionLogsThresholdCondition{\n",
                      "  Threshold: core.Float64Ptr(float64(1)),\n",
                      "  TimeWindow: apisAlertDefinitionLogsTimeWindowModel,\n",
                      "}\n",
                      "\n",
                      "apisAlertDefinitionAlertDefOverrideModel := &logsv0.ApisAlertDefinitionAlertDefOverride{\n",
                      "  Priority: core.StringPtr(\"p5_or_unspecified\"),\n",
                      "}\n",
                      "\n",
                      "apisAlertDefinitionLogsThresholdRuleModel := &logsv0.ApisAlertDefinitionLogsThresholdRule{\n",
                      "  Condition: apisAlertDefinitionLogsThresholdConditionModel,\n",
                      "  Override: apisAlertDefinitionAlertDefOverrideModel,\n",
                      "}\n",
                      "\n",
                      "apisAlertDefinitionLogsThresholdTypeModel := &logsv0.ApisAlertDefinitionLogsThresholdType{\n",
                      "  LogsFilter: apisAlertDefinitionLogsFilterModel,\n",
                      "  Rules: []logsv0.ApisAlertDefinitionLogsThresholdRule{*apisAlertDefinitionLogsThresholdRuleModel},\n",
                      "  ConditionType: core.StringPtr(\"more_than_or_unspecified\"),\n",
                      "  NotificationPayloadFilter: []string{},\n",
                      "}\n",
                      "\n",
                      "alertDefinitionPrototypeModel := &logsv0.AlertDefinitionPrototypeApisAlertDefinitionAlertDefPropertiesTypeDefinitionLogsThreshold{\n",
                      "  Name: core.StringPtr(\"Alert 1738141279354\"),\n",
                      "  Description: core.StringPtr(\"Example Alert definition\"),\n",
                      "  Enabled: core.BoolPtr(true),\n",
                      "  Priority: core.StringPtr(\"p5_or_unspecified\"),\n",
                      "  ActiveOn: apisAlertDefinitionActivityScheduleModel,\n",
                      "  Type: core.StringPtr(\"logs_threshold\"),\n",
                      "  GroupByKeys: []string{},\n",
                      "  IncidentsSettings: apisAlertDefinitionAlertDefIncidentSettingsModel,\n",
                      "  NotificationGroup: apisAlertDefinitionAlertDefNotificationGroupModel,\n",
                      "  PhantomMode: core.BoolPtr(false),\n",
                      "  Deleted: core.BoolPtr(false),\n",
                      "  LogsThreshold: apisAlertDefinitionLogsThresholdTypeModel,\n",
                      "}\n",
                      "\n",
                      "replaceAlertDefOptions := logsService.NewReplaceAlertDefOptions(\n",
                      "  CreateMockUUID(\"3dc02998-0b50-4ea8-b68a-4779d716fa1f\"),\n",
                      "  alertDefinitionPrototypeModel,\n",
                      ")\n",
                      "\n",
                      "alertDefinition, response, err := logsService.ReplaceAlertDef(replaceAlertDefOptions)\n",
                      "if err != nil {\n",
                      "  panic(err)\n",
                      "}\n",
                      "b, _ := json.MarshalIndent(alertDefinition, \"\", \"  \")\n",
                      "fmt.Println(string(b))"
                    ]
                  }
                ]
              }
            ]
          }
        }
      },
      "delete": {
        "tags": [
          "Alert definitions"
        ],
        "summary": "Delete an alert definition by ID",
        "description": "Delete an alert definition",
        "operationId": "delete_alert_def",
        "responses": {
          "204": {
            "description": "No Content"
          },
          "400": {
            "description": "Bad Request",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ApiError"
                },
                "example": {
                  "errors": [
                    {
                      "code": "bad_request_or_unspecified",
                      "message": "Bad request"
                    }
                  ],
                  "status_code": 400,
                  "trace": "4199a60c-d9f9-4eb0-93e7-6faaa002062e"
                }
              }
            }
          },
          "401": {
            "description": "Unauthorized",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ApiError"
                },
                "example": {
                  "errors": [
                    {
                      "code": "unauthenticated",
                      "message": "Unauthenticated"
                    }
                  ],
                  "status_code": 401,
                  "trace": "4199a60c-d9f9-4eb0-93e7-6faaa002062e"
                }
              }
            }
          },
          "403": {
            "description": "Forbidden",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ApiError"
                },
                "example": {
                  "errors": [
                    {
                      "code": "unauthorized",
                      "message": "Forbidden"
                    }
                  ],
                  "status_code": 403,
                  "trace": "4199a60c-d9f9-4eb0-93e7-6faaa002062e"
                }
              }
            }
          },
          "404": {
            "description": "Not Found",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ApiError"
                },
                "example": {
                  "errors": [
                    {
                      "code": "not_found",
                      "message": "Not found"
                    }
                  ],
                  "status_code": 404,
                  "trace": "4199a60c-d9f9-4eb0-93e7-6faaa002062e"
                }
              }
            }
          },
          "408": {
            "description": "Unknown",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ApiError"
                },
                "example": {
                  "errors": [
                    {
                      "code": "deadline_exceeded",
                      "message": "Request timeout"
                    }
                  ],
                  "status_code": 408,
                  "trace": "4199a60c-d9f9-4eb0-93e7-6faaa002062e"
                }
              }
            }
          },
          "409": {
            "description": "Conflict",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ApiError"
                },
                "example": {
                  "errors": [
                    {
                      "code": "conflict",
                      "message": "Conflict, resource already exists"
                    }
                  ],
                  "status_code": 409,
                  "trace": "4199a60c-d9f9-4eb0-93e7-6faaa002062e"
                }
              }
            }
          },
          "429": {
            "description": "Too many requests",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ApiError"
                },
                "example": {
                  "errors": [
                    {
                      "code": "resource_exhausted",
                      "message": "Rate limit exceeded"
                    }
                  ],
                  "status_code": 429,
                  "trace": "4199a60c-d9f9-4eb0-93e7-6faaa002062e"
                }
              }
            }
          },
          "500": {
            "description": "Internal server error",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ApiError"
                },
                "example": {
                  "errors": [
                    {
                      "code": "method_internal_error",
                      "message": "Internal server error"
                    }
                  ],
                  "status_code": 500,
                  "trace": "4199a60c-d9f9-4eb0-93e7-6faaa002062e"
                }
              }
            }
          }
        },
        "x-cli-command": "alert-definition-delete",
        "x-ibm-permissions": {
          "actions": [
            {
              "name": "logs.alert-config.manage"
            }
          ]
        },
        "x-ibm-events": {
          "events": [
            {
              "name": "logs.alert-config.delete"
            }
          ]
        },
        "x-sdk-operations": {
          "request-examples": {
            "curl": [
              {
                "name": "Example request",
                "example": [
                  {
                    "type": "code",
                    "source": [
                      "curl -X DELETE --location --header \"Authorization: Bearer ${iam_token}\" \\\n",
                      "  \"${base_url}/v1/alert_definitions/${id}\""
                    ]
                  }
                ]
              }
            ],
            "go": [
              {
                "name": "Example request",
                "example": [
                  {
                    "type": "code",
                    "source": [
                      "deleteAlertDefOptions := logsService.NewDeleteAlertDefOptions(\n",
                      "  CreateMockUUID(\"3dc02998-0b50-4ea8-b68a-4779d716fa1f\"),\n",
                      ")\n",
                      "\n",
                      "response, err := logsService.DeleteAlertDef(deleteAlertDefOptions)\n",
                      "if err != nil {\n",
                      "  panic(err)\n",
                      "}\n",
                      "if response.StatusCode != 204 {\n",
                      "  fmt.Printf(\"\\nUnexpected response status code received from DeleteAlertDef(): %d\\n\", response.StatusCode)\n",
                      "}"
                    ]
                  }
                ]
              }
            ]
          }
        }
      },
      "parameters": [
        {
          "in": "path",
          "name": "id",
          "description": "Alert definition ID",
          "required": true,
          "schema": {
            "example": "3dc02998-0b50-4ea8-b68a-4779d716fa1f",
            "description": "Alert definition ID",
            "type": "string",
            "format": "uuid",
            "pattern": "^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$",
            "minLength": 36,
            "maxLength": 36
          },
          "example": "3dc02998-0b50-4ea8-b68a-4779d716fa1f",
          "style": "simple",
          "x-linkback": "#/components/links/AlertDefinitionID"
        }
      ]
    },
    "/v1/alert_definitions": {
      "get": {
        "tags": [
          "Alert definitions"
        ],
        "summary": "List alert definitions",
        "description": "List alert definitions",
        "operationId": "list_alert_defs",
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/AlertDefinitionCollection"
                }
              }
            }
          },
          "400": {
            "description": "Bad Request",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ApiError"
                },
                "example": {
                  "errors": [
                    {
                      "code": "bad_request_or_unspecified",
                      "message": "Bad request"
                    }
                  ],
                  "status_code": 400,
                  "trace": "4199a60c-d9f9-4eb0-93e7-6faaa002062e"
                }
              }
            }
          },
          "401": {
            "description": "Unauthorized",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ApiError"
                },
                "example": {
                  "errors": [
                    {
                      "code": "unauthenticated",
                      "message": "Unauthenticated"
                    }
                  ],
                  "status_code": 401,
                  "trace": "4199a60c-d9f9-4eb0-93e7-6faaa002062e"
                }
              }
            }
          },
          "403": {
            "description": "Forbidden",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ApiError"
                },
                "example": {
                  "errors": [
                    {
                      "code": "unauthorized",
                      "message": "Forbidden"
                    }
                  ],
                  "status_code": 403,
                  "trace": "4199a60c-d9f9-4eb0-93e7-6faaa002062e"
                }
              }
            }
          },
          "404": {
            "description": "Not Found",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ApiError"
                },
                "example": {
                  "errors": [
                    {
                      "code": "not_found",
                      "message": "Not found"
                    }
                  ],
                  "status_code": 404,
                  "trace": "4199a60c-d9f9-4eb0-93e7-6faaa002062e"
                }
              }
            }
          },
          "408": {
            "description": "Unknown",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ApiError"
                },
                "example": {
                  "errors": [
                    {
                      "code": "deadline_exceeded",
                      "message": "Request timeout"
                    }
                  ],
                  "status_code": 408,
                  "trace": "4199a60c-d9f9-4eb0-93e7-6faaa002062e"
                }
              }
            }
          },
          "409": {
            "description": "Conflict",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ApiError"
                },
                "example": {
                  "errors": [
                    {
                      "code": "conflict",
                      "message": "Conflict, resource already exists"
                    }
                  ],
                  "status_code": 409,
                  "trace": "4199a60c-d9f9-4eb0-93e7-6faaa002062e"
                }
              }
            }
          },
          "429": {
            "description": "Too many requests",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ApiError"
                },
                "example": {
                  "errors": [
                    {
                      "code": "resource_exhausted",
                      "message": "Rate limit exceeded"
                    }
                  ],
                  "status_code": 429,
                  "trace": "4199a60c-d9f9-4eb0-93e7-6faaa002062e"
                }
              }
            }
          },
          "500": {
            "description": "Internal server error",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ApiError"
                },
                "example": {
                  "errors": [
                    {
                      "code": "method_internal_error",
                      "message": "Internal server error"
                    }
                  ],
                  "status_code": 500,
                  "trace": "4199a60c-d9f9-4eb0-93e7-6faaa002062e"
                }
              }
            }
          }
        },
        "x-cli-command": "alert-definitions",
        "x-cli-table-filter-jmespath": "alert_definitions[*].{Name:name,ID:id,Enabled:enabled,Priority:priority,Type:type,Created_Time:created_time}",
        "x-ibm-permissions": {
          "actions": [
            {
              "name": "logs.alert-config.read"
            }
          ]
        },
        "x-ibm-events": {
          "events": [
            {
              "name": "logs.alert-config.list"
            }
          ]
        },
        "x-sdk-operations": {
          "request-examples": {
            "curl": [
              {
                "name": "Example request",
                "example": [
                  {
                    "type": "code",
                    "source": [
                      "curl -X GET --location --header \"Authorization: Bearer ${iam_token}\" \\\n",
                      "  --header \"Accept: application/json\" \\\n",
                      "  \"${base_url}/v1/alert_definitions\""
                    ]
                  }
                ]
              }
            ],
            "go": [
              {
                "name": "Example request",
                "example": [
                  {
                    "type": "code",
                    "source": [
                      "listAlertDefsOptions := logsService.NewListAlertDefsOptions()\n",
                      "\n",
                      "alertDefinitionCollection, response, err := logsService.ListAlertDefs(listAlertDefsOptions)\n",
                      "if err != nil {\n",
                      "  panic(err)\n",
                      "}\n",
                      "b, _ := json.MarshalIndent(alertDefinitionCollection, \"\", \"  \")\n",
                      "fmt.Println(string(b))"
                    ]
                  }
                ]
              }
            ]
          }
        }
      },
      "post": {
        "tags": [
          "Alert definitions"
        ],
        "summary": "Create an alert definition",
        "description": "Create an alert definition",
        "operationId": "create_alert_def",
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/AlertDefinitionPrototype"
              },
              "example": {
                "active_on": {
                  "day_of_week": [
                    "sunday",
                    "monday_or_unspecified",
                    "tuesday",
                    "wednesday",
                    "thursday",
                    "friday",
                    "saturday"
                  ],
                  "end_time": {
                    "hours": 21,
                    "minutes": 59
                  },
                  "start_time": {
                    "hours": 22
                  }
                },
                "deleted": false,
                "description": "Example Alert definition",
                "enabled": true,
                "entity_labels": {},
                "group_by_keys": [],
                "incidents_settings": {
                  "minutes": 10,
                  "notify_on": "triggered_only_unspecified"
                },
                "logs_threshold": {
                  "condition_type": "more_than_or_unspecified",
                  "logs_filter": {
                    "simple_filter": {
                      "label_filters": {
                        "application_name": [],
                        "severities": [],
                        "subsystem_name": []
                      }
                    }
                  },
                  "notification_payload_filter": [],
                  "rules": [
                    {
                      "condition": {
                        "threshold": 1,
                        "time_window": {
                          "logs_time_window_specific_value": "minutes_10"
                        }
                      },
                      "override": {
                        "priority": "p5_or_unspecified"
                      }
                    }
                  ]
                },
                "name": "Alert 1738141279354",
                "notification_group": {
                  "group_by_keys": [],
                  "webhooks": []
                },
                "phantom_mode": false,
                "priority": "p5_or_unspecified",
                "type": "logs_threshold"
              }
            }
          },
          "required": true
        },
        "responses": {
          "201": {
            "description": "Created",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/AlertDefinition"
                }
              }
            },
            "links": {
              "AlertDefinitionID": {
                "$ref": "#/components/links/AlertDefinitionID"
              }
            }
          },
          "400": {
            "description": "Bad Request",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ApiError"
                },
                "example": {
                  "errors": [
                    {
                      "code": "bad_request_or_unspecified",
                      "message": "Bad request"
                    }
                  ],
                  "status_code": 400,
                  "trace": "4199a60c-d9f9-4eb0-93e7-6faaa002062e"
                }
              }
            }
          },
          "401": {
            "description": "Unauthorized",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ApiError"
                },
                "example": {
                  "errors": [
                    {
                      "code": "unauthenticated",
                      "message": "Unauthenticated"
                    }
                  ],
                  "status_code": 401,
                  "trace": "4199a60c-d9f9-4eb0-93e7-6faaa002062e"
                }
              }
            }
          },
          "403": {
            "description": "Forbidden",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ApiError"
                },
                "example": {
                  "errors": [
                    {
                      "code": "unauthorized",
                      "message": "Forbidden"
                    }
                  ],
                  "status_code": 403,
                  "trace": "4199a60c-d9f9-4eb0-93e7-6faaa002062e"
                }
              }
            }
          },
          "404": {
            "description": "Not Found",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ApiError"
                },
                "example": {
                  "errors": [
                    {
                      "code": "not_found",
                      "message": "Not found"
                    }
                  ],
                  "status_code": 404,
                  "trace": "4199a60c-d9f9-4eb0-93e7-6faaa002062e"
                }
              }
            }
          },
          "408": {
            "description": "Unknown",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ApiError"
                },
                "example": {
                  "errors": [
                    {
                      "code": "deadline_exceeded",
                      "message": "Request timeout"
                    }
                  ],
                  "status_code": 408,
                  "trace": "4199a60c-d9f9-4eb0-93e7-6faaa002062e"
                }
              }
            }
          },
          "409": {
            "description": "Conflict",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ApiError"
                },
                "example": {
                  "errors": [
                    {
                      "code": "conflict",
                      "message": "Conflict, resource already exists"
                    }
                  ],
                  "status_code": 409,
                  "trace": "4199a60c-d9f9-4eb0-93e7-6faaa002062e"
                }
              }
            }
          },
          "429": {
            "description": "Too many requests",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ApiError"
                },
                "example": {
                  "errors": [
                    {
                      "code": "resource_exhausted",
                      "message": "Rate limit exceeded"
                    }
                  ],
                  "status_code": 429,
                  "trace": "4199a60c-d9f9-4eb0-93e7-6faaa002062e"
                }
              }
            }
          },
          "500": {
            "description": "Internal server error",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ApiError"
                },
                "example": {
                  "errors": [
                    {
                      "code": "method_internal_error",
                      "message": "Internal server error"
                    }
                  ],
                  "status_code": 500,
                  "trace": "4199a60c-d9f9-4eb0-93e7-6faaa002062e"
                }
              }
            }
          }
        },
        "x-cli-command": "alert-definition-create",
        "x-cli-table-filter-jmespath": "{Name:name,ID:id,Enabled:enabled,Priority:priority,Type:type,Created_Time:created_time}",
        "x-ibm-permissions": {
          "actions": [
            {
              "name": "logs.alert-config.manage"
            }
          ]
        },
        "x-ibm-events": {
          "events": [
            {
              "name": "logs.alert-config.create"
            }
          ]
        },
        "x-sdk-operations": {
          "request-examples": {
            "curl": [
              {
                "name": "Example request",
                "example": [
                  {
                    "type": "code",
                    "source": [
                      "curl -X POST --location --header \"Authorization: Bearer ${iam_token}\" \\\n",
                      "  --header \"Accept: application/json\" \\\n",
                      "  --header \"Content-Type: application/json\" \\\n",
                      "  --data   '{\n",
                      "    \"active_on\": {\n",
                      "      \"day_of_week\": [\n",
                      "        \"sunday\",\n",
                      "        \"monday_or_unspecified\",\n",
                      "        \"tuesday\",\n",
                      "        \"wednesday\",\n",
                      "        \"thursday\",\n",
                      "        \"friday\",\n",
                      "        \"saturday\"\n",
                      "      ],\n",
                      "      \"end_time\": {\n",
                      "        \"hours\": 21,\n",
                      "        \"minutes\": 59\n",
                      "      },\n",
                      "      \"start_time\": {\n",
                      "        \"hours\": 22\n",
                      "      }\n",
                      "    },\n",
                      "    \"deleted\": false,\n",
                      "    \"description\": \"Example Alert definition\",\n",
                      "    \"enabled\": true,\n",
                      "    \"entity_labels\": {},\n",
                      "    \"group_by_keys\": [],\n",
                      "    \"incidents_settings\": {\n",
                      "      \"minutes\": 10,\n",
                      "      \"notify_on\": \"triggered_only_unspecified\"\n",
                      "    },\n",
                      "    \"logs_threshold\": {\n",
                      "      \"condition_type\": \"more_than_or_unspecified\",\n",
                      "      \"logs_filter\": {\n",
                      "        \"simple_filter\": {\n",
                      "          \"label_filters\": {\n",
                      "            \"application_name\": [],\n",
                      "            \"severities\": [],\n",
                      "            \"subsystem_name\": []\n",
                      "          }\n",
                      "        }\n",
                      "      },\n",
                      "      \"notification_payload_filter\": [],\n",
                      "      \"rules\": [\n",
                      "        {\n",
                      "          \"condition\": {\n",
                      "            \"threshold\": 1,\n",
                      "            \"time_window\": {\n",
                      "              \"logs_time_window_specific_value\": \"minutes_10\"\n",
                      "            }\n",
                      "          },\n",
                      "          \"override\": {\n",
                      "            \"priority\": \"p5_or_unspecified\"\n",
                      "          }\n",
                      "        }\n",
                      "      ]\n",
                      "    },\n",
                      "    \"name\": \"Alert 1738141279354\",\n",
                      "    \"notification_group\": {\n",
                      "      \"group_by_keys\": [],\n",
                      "      \"webhooks\": []\n",
                      "    },\n",
                      "    \"phantom_mode\": false,\n",
                      "    \"priority\": \"p5_or_unspecified\",\n",
                      "    \"type\": \"logs_threshold\"\n",
                      "  }' \\\n",
                      "  \"${base_url}/v1/alert_definitions\""
                    ]
                  }
                ]
              }
            ],
            "go": [
              {
                "name": "Example request",
                "example": [
                  {
                    "type": "code",
                    "source": [
                      "apisAlertDefinitionTimeOfDayModel := &logsv0.ApisAlertDefinitionTimeOfDay{\n",
                      "  Hours: core.Int64Ptr(int64(22)),\n",
                      "}\n",
                      "\n",
                      "apisAlertDefinitionActivityScheduleModel := &logsv0.ApisAlertDefinitionActivitySchedule{\n",
                      "  DayOfWeek: []string{\"sunday\", \"monday_or_unspecified\", \"tuesday\", \"wednesday\", \"thursday\", \"friday\", \"saturday\"},\n",
                      "  StartTime: apisAlertDefinitionTimeOfDayModel,\n",
                      "  EndTime: apisAlertDefinitionTimeOfDayModel,\n",
                      "}\n",
                      "\n",
                      "apisAlertDefinitionAlertDefIncidentSettingsModel := &logsv0.ApisAlertDefinitionAlertDefIncidentSettings{\n",
                      "  NotifyOn: core.StringPtr(\"triggered_only_unspecified\"),\n",
                      "  Minutes: core.Int64Ptr(int64(10)),\n",
                      "}\n",
                      "\n",
                      "apisAlertDefinitionIntegrationTypeModel := &logsv0.ApisAlertDefinitionIntegrationTypeIntegrationTypeIntegrationID{\n",
                      "}\n",
                      "\n",
                      "apisAlertDefinitionAlertDefWebhooksSettingsModel := &logsv0.ApisAlertDefinitionAlertDefWebhooksSettings{\n",
                      "  Integration: apisAlertDefinitionIntegrationTypeModel,\n",
                      "}\n",
                      "\n",
                      "apisAlertDefinitionAlertDefNotificationGroupModel := &logsv0.ApisAlertDefinitionAlertDefNotificationGroup{\n",
                      "  GroupByKeys: []string{},\n",
                      "  Webhooks: []logsv0.ApisAlertDefinitionAlertDefWebhooksSettings{*apisAlertDefinitionAlertDefWebhooksSettingsModel},\n",
                      "}\n",
                      "\n",
                      "apisAlertDefinitionLabelFilterTypeModel := &logsv0.ApisAlertDefinitionLabelFilterType{\n",
                      "  Operation: core.StringPtr(\"starts_with\"),\n",
                      "}\n",
                      "\n",
                      "apisAlertDefinitionLabelFiltersModel := &logsv0.ApisAlertDefinitionLabelFilters{\n",
                      "  ApplicationName: []logsv0.ApisAlertDefinitionLabelFilterType{*apisAlertDefinitionLabelFilterTypeModel},\n",
                      "  SubsystemName: []logsv0.ApisAlertDefinitionLabelFilterType{*apisAlertDefinitionLabelFilterTypeModel},\n",
                      "  Severities: []string{},\n",
                      "}\n",
                      "\n",
                      "apisAlertDefinitionLogsSimpleFilterModel := &logsv0.ApisAlertDefinitionLogsSimpleFilter{\n",
                      "  LabelFilters: apisAlertDefinitionLabelFiltersModel,\n",
                      "}\n",
                      "\n",
                      "apisAlertDefinitionLogsFilterModel := &logsv0.ApisAlertDefinitionLogsFilter{\n",
                      "  SimpleFilter: apisAlertDefinitionLogsSimpleFilterModel,\n",
                      "}\n",
                      "\n",
                      "apisAlertDefinitionLogsTimeWindowModel := &logsv0.ApisAlertDefinitionLogsTimeWindow{\n",
                      "  LogsTimeWindowSpecificValue: core.StringPtr(\"minutes_10\"),\n",
                      "}\n",
                      "\n",
                      "apisAlertDefinitionLogsThresholdConditionModel := &logsv0.ApisAlertDefinitionLogsThresholdCondition{\n",
                      "  Threshold: core.Float64Ptr(float64(1)),\n",
                      "  TimeWindow: apisAlertDefinitionLogsTimeWindowModel,\n",
                      "}\n",
                      "\n",
                      "apisAlertDefinitionAlertDefOverrideModel := &logsv0.ApisAlertDefinitionAlertDefOverride{\n",
                      "  Priority: core.StringPtr(\"p5_or_unspecified\"),\n",
                      "}\n",
                      "\n",
                      "apisAlertDefinitionLogsThresholdRuleModel := &logsv0.ApisAlertDefinitionLogsThresholdRule{\n",
                      "  Condition: apisAlertDefinitionLogsThresholdConditionModel,\n",
                      "  Override: apisAlertDefinitionAlertDefOverrideModel,\n",
                      "}\n",
                      "\n",
                      "apisAlertDefinitionLogsThresholdTypeModel := &logsv0.ApisAlertDefinitionLogsThresholdType{\n",
                      "  LogsFilter: apisAlertDefinitionLogsFilterModel,\n",
                      "  Rules: []logsv0.ApisAlertDefinitionLogsThresholdRule{*apisAlertDefinitionLogsThresholdRuleModel},\n",
                      "  ConditionType: core.StringPtr(\"more_than_or_unspecified\"),\n",
                      "  NotificationPayloadFilter: []string{},\n",
                      "}\n",
                      "\n",
                      "alertDefinitionPrototypeModel := &logsv0.AlertDefinitionPrototypeApisAlertDefinitionAlertDefPropertiesTypeDefinitionLogsThreshold{\n",
                      "  Name: core.StringPtr(\"Alert 1738141279354\"),\n",
                      "  Description: core.StringPtr(\"Example Alert definition\"),\n",
                      "  Enabled: core.BoolPtr(true),\n",
                      "  Priority: core.StringPtr(\"p5_or_unspecified\"),\n",
                      "  ActiveOn: apisAlertDefinitionActivityScheduleModel,\n",
                      "  Type: core.StringPtr(\"logs_threshold\"),\n",
                      "  GroupByKeys: []string{},\n",
                      "  IncidentsSettings: apisAlertDefinitionAlertDefIncidentSettingsModel,\n",
                      "  NotificationGroup: apisAlertDefinitionAlertDefNotificationGroupModel,\n",
                      "  PhantomMode: core.BoolPtr(false),\n",
                      "  Deleted: core.BoolPtr(false),\n",
                      "  LogsThreshold: apisAlertDefinitionLogsThresholdTypeModel,\n",
                      "}\n",
                      "\n",
                      "createAlertDefOptions := logsService.NewCreateAlertDefOptions(\n",
                      "  alertDefinitionPrototypeModel,\n",
                      ")\n",
                      "\n",
                      "alertDefinition, response, err := logsService.CreateAlertDef(createAlertDefOptions)\n",
                      "if err != nil {\n",
                      "  panic(err)\n",
                      "}\n",
                      "b, _ := json.MarshalIndent(alertDefinition, \"\", \"  \")\n",
                      "fmt.Println(string(b))"
                    ]
                  }
                ]
              }
            ]
          }
        }
      }
    },
    "/v1/alerts/{id}": {
      "get": {
        "tags": [
          "Alerts"
        ],
        "summary": "Get an alert by ID",
        "description": "Get an alert by ID.",
        "operationId": "get_alert",
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Alert"
                }
              }
            }
          },
          "400": {
            "description": "Bad Request",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ApiError"
                },
                "example": {
                  "errors": [
                    {
                      "code": "bad_request_or_unspecified",
                      "message": "Bad request"
                    }
                  ],
                  "status_code": 400,
                  "trace": "4199a60c-d9f9-4eb0-93e7-6faaa002062e"
                }
              }
            }
          },
          "401": {
            "description": "Unauthorized",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ApiError"
                },
                "example": {
                  "errors": [
                    {
                      "code": "unauthenticated",
                      "message": "Unauthenticated"
                    }
                  ],
                  "status_code": 401,
                  "trace": "4199a60c-d9f9-4eb0-93e7-6faaa002062e"
                }
              }
            }
          },
          "403": {
            "description": "Forbidden",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ApiError"
                },
                "example": {
                  "errors": [
                    {
                      "code": "unauthorized",
                      "message": "Forbidden"
                    }
                  ],
                  "status_code": 403,
                  "trace": "4199a60c-d9f9-4eb0-93e7-6faaa002062e"
                }
              }
            }
          },
          "404": {
            "description": "Not Found",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ApiError"
                },
                "example": {
                  "errors": [
                    {
                      "code": "not_found",
                      "message": "Not found"
                    }
                  ],
                  "status_code": 404,
                  "trace": "4199a60c-d9f9-4eb0-93e7-6faaa002062e"
                }
              }
            }
          },
          "408": {
            "description": "Unknown",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ApiError"
                },
                "example": {
                  "errors": [
                    {
                      "code": "deadline_exceeded",
                      "message": "Request timeout"
                    }
                  ],
                  "status_code": 408,
                  "trace": "4199a60c-d9f9-4eb0-93e7-6faaa002062e"
                }
              }
            }
          },
          "409": {
            "description": "Conflict",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ApiError"
                },
                "example": {
                  "errors": [
                    {
                      "code": "conflict",
                      "message": "Conflict, resource already exists"
                    }
                  ],
                  "status_code": 409,
                  "trace": "4199a60c-d9f9-4eb0-93e7-6faaa002062e"
                }
              }
            }
          },
          "429": {
            "description": "Too many requests",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ApiError"
                },
                "example": {
                  "errors": [
                    {
                      "code": "resource_exhausted",
                      "message": "Rate limit exceeded"
                    }
                  ],
                  "status_code": 429,
                  "trace": "4199a60c-d9f9-4eb0-93e7-6faaa002062e"
                }
              }
            }
          },
          "500": {
            "description": "Internal server error",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ApiError"
                },
                "example": {
                  "errors": [
                    {
                      "code": "method_internal_error",
                      "message": "Internal server error"
                    }
                  ],
                  "status_code": 500,
                  "trace": "4199a60c-d9f9-4eb0-93e7-6faaa002062e"
                }
              }
            }
          }
        },
        "x-cli-table-filter-jmespath": "{Name:name,ID:id,Is_Active:is_active,Severity:severity}",
        "x-ibm-permissions": {
          "actions": [
            {
              "name": "logs.alert-config.read"
            }
          ]
        },
        "x-ibm-events": {
          "events": [
            {
              "name": "logs.alert-config.get"
            }
          ]
        },
        "x-sdk-operations": {
          "request-examples": {
            "curl": [
              {
                "name": "Example request",
                "example": [
                  {
                    "type": "code",
                    "source": [
                      "curl -X GET --location --header \"Authorization: Bearer ${iam_token}\" \\\n",
                      "  --header \"Accept: application/json\" \\\n",
                      "  \"${base_url}/v1/alerts/${id}\""
                    ]
                  }
                ]
              }
            ],
            "go": [
              {
                "name": "Example request",
                "example": [
                  {
                    "type": "code",
                    "source": [
                      "getAlertOptions := logsService.NewGetAlertOptions(\n",
                      "  CreateMockUUID(\"3dc02998-0b50-4ea8-b68a-4779d716fa1f\"),\n",
                      ")\n",
                      "\n",
                      "alert, response, err := logsService.GetAlert(getAlertOptions)\n",
                      "if err != nil {\n",
                      "  panic(err)\n",
                      "}\n",
                      "b, _ := json.MarshalIndent(alert, \"\", \"  \")\n",
                      "fmt.Println(string(b))"
                    ]
                  }
                ]
              }
            ]
          }
        }
      },
      "put": {
        "tags": [
          "Alerts"
        ],
        "summary": "Update an alert",
        "description": "Update an alert.",
        "operationId": "update_alert",
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/AlertPrototype"
              },
              "example": {
                "active_when": {
                  "timeframes": [
                    {
                      "days_of_week": [
                        "sunday",
                        "monday_or_unspecified",
                        "tuesday",
                        "wednesday",
                        "thursday",
                        "friday",
                        "saturday"
                      ],
                      "range": {
                        "end": {
                          "hours": 18,
                          "minutes": 29,
                          "seconds": 59
                        },
                        "start": {
                          "hours": 18,
                          "minutes": 30,
                          "seconds": 0
                        }
                      }
                    }
                  ]
                },
                "condition": {
                  "more_than": {
                    "evaluation_window": "rolling_or_unspecified",
                    "parameters": {
                      "cardinality_fields": [],
                      "group_by": [
                        "coralogix.metadata.applicationName"
                      ],
                      "ignore_infinity": true,
                      "notify_group_by_only_alerts": true,
                      "relative_timeframe": "hour_or_unspecified",
                      "threshold": 1,
                      "timeframe": "timeframe_10_min"
                    }
                  }
                },
                "description": "Alert when the number of logs reaches a threshold.",
                "filters": {
                  "filter_type": "text_or_unspecified",
                  "metadata": {},
                  "ratio_alerts": [],
                  "severities": [
                    "info"
                  ],
                  "text": "initiator.id.keyword:iam-ServiceId-10820fd6-c3fe-414e-8fd5-44ce95f7d34d AND action.keyword:cloud-object-storage.object.create"
                },
                "incident_settings": {
                  "notify_on": "triggered_only",
                  "retriggering_period_seconds": 300,
                  "use_as_notification_settings": true
                },
                "is_active": true,
                "meta_labels": [
                  {
                    "key": "env",
                    "value": "dev"
                  }
                ],
                "meta_labels_strings": [],
                "name": "Test alert",
                "notification_groups": [
                  {
                    "group_by_fields": [
                      "coralogix.metadata.applicationName"
                    ],
                    "notifications": []
                  }
                ],
                "severity": "info_or_unspecified"
              }
            }
          },
          "required": true
        },
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Alert"
                }
              }
            }
          },
          "400": {
            "description": "Bad Request",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ApiError"
                },
                "example": {
                  "errors": [
                    {
                      "code": "bad_request_or_unspecified",
                      "message": "Bad request"
                    }
                  ],
                  "status_code": 400,
                  "trace": "4199a60c-d9f9-4eb0-93e7-6faaa002062e"
                }
              }
            }
          },
          "401": {
            "description": "Unauthorized",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ApiError"
                },
                "example": {
                  "errors": [
                    {
                      "code": "unauthenticated",
                      "message": "Unauthenticated"
                    }
                  ],
                  "status_code": 401,
                  "trace": "4199a60c-d9f9-4eb0-93e7-6faaa002062e"
                }
              }
            }
          },
          "403": {
            "description": "Forbidden",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ApiError"
                },
                "example": {
                  "errors": [
                    {
                      "code": "unauthorized",
                      "message": "Forbidden"
                    }
                  ],
                  "status_code": 403,
                  "trace": "4199a60c-d9f9-4eb0-93e7-6faaa002062e"
                }
              }
            }
          },
          "404": {
            "description": "Not Found",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ApiError"
                },
                "example": {
                  "errors": [
                    {
                      "code": "not_found",
                      "message": "Not found"
                    }
                  ],
                  "status_code": 404,
                  "trace": "4199a60c-d9f9-4eb0-93e7-6faaa002062e"
                }
              }
            }
          },
          "408": {
            "description": "Unknown",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ApiError"
                },
                "example": {
                  "errors": [
                    {
                      "code": "deadline_exceeded",
                      "message": "Request timeout"
                    }
                  ],
                  "status_code": 408,
                  "trace": "4199a60c-d9f9-4eb0-93e7-6faaa002062e"
                }
              }
            }
          },
          "409": {
            "description": "Conflict",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ApiError"
                },
                "example": {
                  "errors": [
                    {
                      "code": "conflict",
                      "message": "Conflict, resource already exists"
                    }
                  ],
                  "status_code": 409,
                  "trace": "4199a60c-d9f9-4eb0-93e7-6faaa002062e"
                }
              }
            }
          },
          "429": {
            "description": "Too many requests",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ApiError"
                },
                "example": {
                  "errors": [
                    {
                      "code": "resource_exhausted",
                      "message": "Rate limit exceeded"
                    }
                  ],
                  "status_code": 429,
                  "trace": "4199a60c-d9f9-4eb0-93e7-6faaa002062e"
                }
              }
            }
          },
          "500": {
            "description": "Internal server error",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ApiError"
                },
                "example": {
                  "errors": [
                    {
                      "code": "method_internal_error",
                      "message": "Internal server error"
                    }
                  ],
                  "status_code": 500,
                  "trace": "4199a60c-d9f9-4eb0-93e7-6faaa002062e"
                }
              }
            }
          }
        },
        "x-codegen-request-body-name": "AlertPrototype",
        "x-cli-table-filter-jmespath": "{Name:name,ID:id,Is_Active:is_active,Severity:severity}",
        "x-ibm-permissions": {
          "actions": [
            {
              "name": "logs.alert-config.manage"
            }
          ]
        },
        "x-ibm-events": {
          "events": [
            {
              "name": "logs.alert-config.update"
            }
          ]
        },
        "x-sdk-operations": {
          "request-examples": {
            "curl": [
              {
                "name": "Example request",
                "example": [
                  {
                    "type": "code",
                    "source": [
                      "curl -X PUT --location --header \"Authorization: Bearer ${iam_token}\" \\\n",
                      "  --header \"Accept: application/json\" \\\n",
                      "  --header \"Content-Type: application/json\" \\\n",
                      "  --data   '{\n",
                      "    \"active_when\": {\n",
                      "      \"timeframes\": [\n",
                      "        {\n",
                      "          \"days_of_week\": [\n",
                      "            \"sunday\",\n",
                      "            \"monday_or_unspecified\",\n",
                      "            \"tuesday\",\n",
                      "            \"wednesday\",\n",
                      "            \"thursday\",\n",
                      "            \"friday\",\n",
                      "            \"saturday\"\n",
                      "          ],\n",
                      "          \"range\": {\n",
                      "            \"end\": {\n",
                      "              \"hours\": 18,\n",
                      "              \"minutes\": 29,\n",
                      "              \"seconds\": 59\n",
                      "            },\n",
                      "            \"start\": {\n",
                      "              \"hours\": 18,\n",
                      "              \"minutes\": 30,\n",
                      "              \"seconds\": 0\n",
                      "            }\n",
                      "          }\n",
                      "        }\n",
                      "      ]\n",
                      "    },\n",
                      "    \"condition\": {\n",
                      "      \"more_than\": {\n",
                      "        \"evaluation_window\": \"rolling_or_unspecified\",\n",
                      "        \"parameters\": {\n",
                      "          \"cardinality_fields\": [],\n",
                      "          \"group_by\": [\n",
                      "            \"coralogix.metadata.applicationName\"\n",
                      "          ],\n",
                      "          \"ignore_infinity\": true,\n",
                      "          \"notify_group_by_only_alerts\": true,\n",
                      "          \"relative_timeframe\": \"hour_or_unspecified\",\n",
                      "          \"threshold\": 1,\n",
                      "          \"timeframe\": \"timeframe_10_min\"\n",
                      "        }\n",
                      "      }\n",
                      "    },\n",
                      "    \"description\": \"Alert when the number of logs reaches a threshold.\",\n",
                      "    \"filters\": {\n",
                      "      \"filter_type\": \"text_or_unspecified\",\n",
                      "      \"metadata\": {},\n",
                      "      \"ratio_alerts\": [],\n",
                      "      \"severities\": [\n",
                      "        \"info\"\n",
                      "      ],\n",
                      "      \"text\": \"initiator.id.keyword:iam-ServiceId-10820fd6-c3fe-414e-8fd5-44ce95f7d34d AND action.keyword:cloud-object-storage.object.create\"\n",
                      "    },\n",
                      "    \"incident_settings\": {\n",
                      "      \"notify_on\": \"triggered_only\",\n",
                      "      \"retriggering_period_seconds\": 300,\n",
                      "      \"use_as_notification_settings\": true\n",
                      "    },\n",
                      "    \"is_active\": true,\n",
                      "    \"meta_labels\": [\n",
                      "      {\n",
                      "        \"key\": \"env\",\n",
                      "        \"value\": \"dev\"\n",
                      "      }\n",
                      "    ],\n",
                      "    \"meta_labels_strings\": [],\n",
                      "    \"name\": \"Test alert\",\n",
                      "    \"notification_groups\": [\n",
                      "      {\n",
                      "        \"group_by_fields\": [\n",
                      "          \"coralogix.metadata.applicationName\"\n",
                      "        ],\n",
                      "        \"notifications\": []\n",
                      "      }\n",
                      "    ],\n",
                      "    \"severity\": \"info_or_unspecified\"\n",
                      "  }' \\\n",
                      "  \"${base_url}/v1/alerts/${id}\""
                    ]
                  }
                ]
              }
            ],
            "go": [
              {
                "name": "Example request",
                "example": [
                  {
                    "type": "code",
                    "source": [
                      "alertsV2ConditionParametersModel := &logsv0.AlertsV2ConditionParameters{\n",
                      "  Threshold: core.Float64Ptr(float64(1)),\n",
                      "  Timeframe: core.StringPtr(\"timeframe_10_min\"),\n",
                      "  GroupBy: []string{\"coralogix.metadata.applicationName\"},\n",
                      "  IgnoreInfinity: core.BoolPtr(true),\n",
                      "  RelativeTimeframe: core.StringPtr(\"hour_or_unspecified\"),\n",
                      "  CardinalityFields: []string{},\n",
                      "}\n",
                      "\n",
                      "alertsV2MoreThanConditionModel := &logsv0.AlertsV2MoreThanCondition{\n",
                      "  Parameters: alertsV2ConditionParametersModel,\n",
                      "  EvaluationWindow: core.StringPtr(\"rolling_or_unspecified\"),\n",
                      "}\n",
                      "\n",
                      "alertsV2AlertConditionModel := &logsv0.AlertsV2AlertConditionConditionMoreThan{\n",
                      "  MoreThan: alertsV2MoreThanConditionModel,\n",
                      "}\n",
                      "\n",
                      "alertsV2AlertNotificationModel := &logsv0.AlertsV2AlertNotificationIntegrationTypeIntegrationID{\n",
                      "}\n",
                      "\n",
                      "alertsV2AlertNotificationGroupsModel := &logsv0.AlertsV2AlertNotificationGroups{\n",
                      "  GroupByFields: []string{\"coralogix.metadata.applicationName\"},\n",
                      "  Notifications: []logsv0.AlertsV2AlertNotificationIntf{alertsV2AlertNotificationModel},\n",
                      "}\n",
                      "\n",
                      "alertsV1AlertFiltersMetadataFiltersModel := &logsv0.AlertsV1AlertFiltersMetadataFilters{\n",
                      "}\n",
                      "\n",
                      "alertsV1AlertFiltersRatioAlertModel := &logsv0.AlertsV1AlertFiltersRatioAlert{\n",
                      "  Alias: core.StringPtr(\"TopLevelAlert\"),\n",
                      "}\n",
                      "\n",
                      "alertsV1AlertFiltersModel := &logsv0.AlertsV1AlertFilters{\n",
                      "  Severities: []string{\"info\"},\n",
                      "  Metadata: alertsV1AlertFiltersMetadataFiltersModel,\n",
                      "  Text: core.StringPtr(\"initiator.id.keyword:iam-ServiceId-10820fd6-c3fe-414e-8fd5-44ce95f7d34d AND action.keyword:cloud-object-storage.object.create\"),\n",
                      "  RatioAlerts: []logsv0.AlertsV1AlertFiltersRatioAlert{*alertsV1AlertFiltersRatioAlertModel},\n",
                      "  FilterType: core.StringPtr(\"text_or_unspecified\"),\n",
                      "}\n",
                      "\n",
                      "alertsV1TimeModel := &logsv0.AlertsV1Time{\n",
                      "  Hours: core.Int64Ptr(int64(18)),\n",
                      "  Minutes: core.Int64Ptr(int64(30)),\n",
                      "  Seconds: core.Int64Ptr(int64(0)),\n",
                      "}\n",
                      "\n",
                      "alertsV1TimeRangeModel := &logsv0.AlertsV1TimeRange{\n",
                      "  Start: alertsV1TimeModel,\n",
                      "  End: alertsV1TimeModel,\n",
                      "}\n",
                      "\n",
                      "alertsV1AlertActiveTimeframeModel := &logsv0.AlertsV1AlertActiveTimeframe{\n",
                      "  DaysOfWeek: []string{\"sunday\", \"monday_or_unspecified\", \"tuesday\", \"wednesday\", \"thursday\", \"friday\", \"saturday\"},\n",
                      "  Range: alertsV1TimeRangeModel,\n",
                      "}\n",
                      "\n",
                      "alertsV1AlertActiveWhenModel := &logsv0.AlertsV1AlertActiveWhen{\n",
                      "  Timeframes: []logsv0.AlertsV1AlertActiveTimeframe{*alertsV1AlertActiveTimeframeModel},\n",
                      "}\n",
                      "\n",
                      "alertsV1MetaLabelModel := &logsv0.AlertsV1MetaLabel{\n",
                      "  Key: core.StringPtr(\"env\"),\n",
                      "  Value: core.StringPtr(\"dev\"),\n",
                      "}\n",
                      "\n",
                      "alertsV2AlertIncidentSettingsModel := &logsv0.AlertsV2AlertIncidentSettings{\n",
                      "  RetriggeringPeriodSeconds: core.Int64Ptr(int64(300)),\n",
                      "  NotifyOn: core.StringPtr(\"triggered_only\"),\n",
                      "  UseAsNotificationSettings: core.BoolPtr(true),\n",
                      "}\n",
                      "\n",
                      "updateAlertOptions := logsService.NewUpdateAlertOptions(\n",
                      "  CreateMockUUID(\"3dc02998-0b50-4ea8-b68a-4779d716fa1f\"),\n",
                      "  \"Test alert\",\n",
                      "  true,\n",
                      "  \"info_or_unspecified\",\n",
                      "  alertsV2AlertConditionModel,\n",
                      ")\n",
                      "updateAlertOptions.SetDescription(\"Alert when the number of logs reaches a threshold.\")\n",
                      "updateAlertOptions.SetNotificationGroups([]logsv0.AlertsV2AlertNotificationGroups{*alertsV2AlertNotificationGroupsModel})\n",
                      "updateAlertOptions.SetFilters(alertsV1AlertFiltersModel)\n",
                      "updateAlertOptions.SetActiveWhen(alertsV1AlertActiveWhenModel)\n",
                      "updateAlertOptions.SetMetaLabels([]logsv0.AlertsV1MetaLabel{*alertsV1MetaLabelModel})\n",
                      "updateAlertOptions.SetMetaLabelsStrings([]string{})\n",
                      "updateAlertOptions.SetIncidentSettings(alertsV2AlertIncidentSettingsModel)\n",
                      "\n",
                      "alert, response, err := logsService.UpdateAlert(updateAlertOptions)\n",
                      "if err != nil {\n",
                      "  panic(err)\n",
                      "}\n",
                      "b, _ := json.MarshalIndent(alert, \"\", \"  \")\n",
                      "fmt.Println(string(b))"
                    ]
                  }
                ]
              }
            ]
          }
        }
      },
      "delete": {
        "tags": [
          "Alerts"
        ],
        "summary": "Delete an alert",
        "description": "Delete an alert",
        "operationId": "delete_alert",
        "responses": {
          "204": {
            "description": "No Content"
          },
          "400": {
            "description": "Bad Request",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ApiError"
                },
                "example": {
                  "errors": [
                    {
                      "code": "bad_request_or_unspecified",
                      "message": "Bad request"
                    }
                  ],
                  "status_code": 400,
                  "trace": "4199a60c-d9f9-4eb0-93e7-6faaa002062e"
                }
              }
            }
          },
          "401": {
            "description": "Unauthorized",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ApiError"
                },
                "example": {
                  "errors": [
                    {
                      "code": "unauthenticated",
                      "message": "Unauthenticated"
                    }
                  ],
                  "status_code": 401,
                  "trace": "4199a60c-d9f9-4eb0-93e7-6faaa002062e"
                }
              }
            }
          },
          "403": {
            "description": "Forbidden",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ApiError"
                },
                "example": {
                  "errors": [
                    {
                      "code": "unauthorized",
                      "message": "Forbidden"
                    }
                  ],
                  "status_code": 403,
                  "trace": "4199a60c-d9f9-4eb0-93e7-6faaa002062e"
                }
              }
            }
          },
          "404": {
            "description": "Not Found",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ApiError"
                },
                "example": {
                  "errors": [
                    {
                      "code": "not_found",
                      "message": "Not found"
                    }
                  ],
                  "status_code": 404,
                  "trace": "4199a60c-d9f9-4eb0-93e7-6faaa002062e"
                }
              }
            }
          },
          "408": {
            "description": "Unknown",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ApiError"
                },
                "example": {
                  "errors": [
                    {
                      "code": "deadline_exceeded",
                      "message": "Request timeout"
                    }
                  ],
                  "status_code": 408,
                  "trace": "4199a60c-d9f9-4eb0-93e7-6faaa002062e"
                }
              }
            }
          },
          "409": {
            "description": "Conflict",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ApiError"
                },
                "example": {
                  "errors": [
                    {
                      "code": "conflict",
                      "message": "Conflict, resource already exists"
                    }
                  ],
                  "status_code": 409,
                  "trace": "4199a60c-d9f9-4eb0-93e7-6faaa002062e"
                }
              }
            }
          },
          "429": {
            "description": "Too many requests",
[...]
